Useful links

Blast Extreme support on Windows 10

Horizon 7.7+ needed.

Windows 10 versions before 1803 (even the Enterprise editions) do not include the necessary API to allow integration and usage of Blast as a display protocol. The restriction is that Microsoft only exposes the required API in Win 1803 and later and in Enterprise Edition only (see below in limitations).

With some versions and with earlier versions of Horizon 7, Blast is available, but this was done in a insecure manner and physical monitor is mirrored on the PC. To avoid mirroring the monitor, RDP is recommended.

Limitations & considerations